<?php

namespace Database\Seeders;

use Exception;
use File;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class MediaTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $this->seedOldData();
    }

    /**
     * Seed the old data
     */
    public function seedOldData(): void
    {
        $table = 'media';
        DB::table($table)->delete();

        $datas = collect(json_decode(File::get('database/data/media.json')));

        foreach ($datas as $data) {
            try {
                DB::table($table)->insert((array) $data);
            } catch (Exception $e) {
                info(['Ignore media error', $e->getMessage()]);
            }
        }

        DB::statement("
            SELECT setval('{$table}_id_seq', (SELECT MAX(id) from {$table}))
        ");
    }
}
